<header class="page__header">
  <div class="top-bar layout-full-width-block">
    <div class="top-bar__content">
      <div class="top-bar__container" id="search-id">
        <a class="skip-link nav-link" href="#nav-id">Menu</a>
        <!-- <a class="skip-link search-link" href="#search-id">Zoek</a> -->
        <nav class="nav" id="nav-id">
          <ul class="main-nav nav__list">
            <li class="nav__item nav__item--top-level  ">
              <a class="nav__link nav__link--top-level" routerLink="/" [routerLinkActive]="['active']"
                >Home</a
              >
            </li>

            <li class="nav__item nav__item--top-level nav__item--has-sub nav__sub--opened">
              <a class="nav__link nav__link--top-level">Onderwijs</a>
              <ul class="nav__sub nav__list">
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/periodes"
                    [routerLinkActive]="['nav__link--active']"
                    >Periodes</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/modules"
                    [routerLinkActive]="['nav__link--active']"
                    >Onderwijseenheden</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/leerdoelen"
                    [routerLinkActive]="['nav__link--active']"
                    >Leerdoelen</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/boks/leerlijnen"
                    [routerLinkActive]="['nav__link--active']"
                    >Leerlijnen</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/docenten"
                    [routerLinkActive]="['nav__link--active']"
                    >Docenten</a
                  >
                </li>
              </ul>
            </li>

            <li class="nav__item nav__item--top-level nav__item--has-sub">
              <a class="nav__link nav__link--top-level">Eindkwalificaties</a>
              <ul class="nav__sub nav__list">
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/boks"
                    [routerLinkActive]="['nav__link--active']"
                    >BOKS elementen</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/eindkwalificaties"
                    [routerLinkActive]="['nav__link--active']"
                    >Eindkwalificaties</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/eindkwalificaties/matrix"
                    [routerLinkActive]="['nav__link--active']"
                    >Competentie dekkingsmatrix</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a
                    class="nav__link nav__link--sub"
                    routerLink="/dashboard"
                    [routerLinkActive]="['nav__link--active']"
                    >Zoeken</a
                  >
                </li>
              </ul>
            </li>

            <li
              class="nav__item nav__item--top-level nav__item--has-sub"
              *ngIf="isLoggedIn$ | async as isLoggedIn"
            >
              <a class="nav__link nav__link--top-level">Mijn info</a>
              <ul class="nav__sub nav__list">
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/users/me" [routerLinkActive]="['active']"
                    >Mijn account</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="" (click)="onLogout()">Uitloggen</a>
                </li>
              </ul>
            </li>

            <li class="nav__item nav__item--top-level nav__item--has-sub" *ngIf="isLoggedIn$ | async">
              <a class="nav__link nav__link--top-level">
                Admin
              </a>
              <ul class="nav__sub nav__list">
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/users" [routerLinkActive]="['active']"
                    >Users</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/example-columns">Style Example Columns</a>
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/example-wide">Style Example Wide</a>
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/example-fullwidth"
                    >Style Example Full width</a
                  >
                </li>
                <!--  -->
                <li class="nav__item nav__item--sub">
                  <a class="nav__link nav__link--sub" routerLink="/example-2">Style Example 2</a>
                </li>
              </ul>
            </li>
          </ul>
        </nav>
      </div>

      <div class="logo">
        <a routerLink="/">
          <img
            class="logo__img"
            height="75%"
            routerLink="/"
            src="https://www.avans.nl/images/XL-Logo.svg"
            alt="Avans hogeschool"
          />
        </a>
        <span>{{ fullName$ | async }}</span>
      </div>
    </div>
  </div>
</header>
